#!/usr/bin/gnuplot

km = 1.e3  # m
rad = 180./pi  # deg

set xl "{/Helvetica-Oblique x} [km]" offset 1,-0.5
set yl "{/Helvetica-Oblique y} [km]" offset 6,-0.5
set zl "{/Helvetica-Oblique z} [km]" offset 0.5,0
set cbl "{/Symbol a} [deg]" offset 1,0

tmp=150.
set xr [-tmp:tmp]
set yr [-50:50]
set zr [-50:50]
set cbr [0:40]
set xtics 50 offset 0.7,-0.3
set ytics 50 offset 1.2,-0.5
set ztics 50
set cbtics 10

set colorbox user origin 0.85,0.05 size 0.03,0.33
set pm3d
set pm3d depthorder
set style data pm3d
set view equal xyz
set xyplane 0.0
set nokey
set view 0,0
set view 70,300,2.5

set palette rgbformulae 33,13,10

sp \
  "gravity4.tmp" u ($1/km):($2/km):($3/km):($4*rad) w pm3d

#pa -1

set term post eps enh color solid "Helvetica" 18
set out "gravity4__70_300.eps"
rep

system("patch gravity4__70_300.eps patch.diff")

q



